Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.beanutils
Class BeanMap.Entry

    java.lang.Object
      |
      +--org.apache.commons.collections.keyvalue.AbstractKeyValue
            |
            +--org.apache.commons.collections.keyvalue.AbstractMapEntry
                  |
                  +--org.apache.commons.beanutils.BeanMap.Entry

All Implemented Interfaces:
  org.apache.commons.collections.KeyValue, java.util.Map.Entry

Enclosing class:
  BeanMap

protected static class BeanMap.Entry
extends org.apache.commons.collections.keyvalue.AbstractMapEntry

Map entry used by `BeanMap`.

Fields inherited from class org.apache.commons.collections.keyvalue.AbstractKeyValue
`key, value`

Constructor Summary
`protected` | `BeanMap.Entry(BeanMap owner, java.lang.Object key, java.lang.Object value)` Constructs a new `Entry`.

Method Summary
`java.lang.Object` | `setValue(java.lang.Object value)` Sets the value.

Methods inherited from class org.apache.commons.collections.keyvalue.AbstractMapEntry
`equals, hashCode`

Methods inherited from class org.apache.commons.collections.keyvalue.AbstractKeyValue
`getKey, getValue, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.Map.Entry
`getKey, getValue`

Constructor Detail

### BeanMap.Entry

    protected BeanMap.Entry(BeanMap owner,
                            java.lang.Object key,
                            java.lang.Object value)

  Constructs a new `Entry`.
  Parameters:
    `owner` - the BeanMap this entry belongs to
    `key` - the key for this entry
    `value` - the value for this entry

Method Detail

### setValue

    public java.lang.Object setValue(java.lang.Object value)

  Sets the value.
  Overrides:
    `setValue` in class `org.apache.commons.collections.keyvalue.AbstractMapEntry`
  Parameters:
    `value` - the new value for the entry
  Returns:
    the old value for the entry

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2007 The Apache Software Foundation. All Rights Reserved.